Rights
Rights expiring soon
GET
Scope: library:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
OK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/rights/expiring'Example Response
{ "days": 30, "count": 5, "rows": [ { "id": "56cd7317-af0f-43cb-ad62-5a784bf0e34b", "title": "Parasite", "type": "movie", "posterUrl": "https://image.tmdb.org/t/p/w500/7IiTTgloJzvGI1TAYymCfbfl3vT.jpg", "state": "expired", "scopes": [ "SVOD" ], "territories": [ "WW" ], "end": "2026-09-22T00:00:00+00:00", "daysLeft": -38 }, { "id": "d8ffc16e-fcde-40f8-8d1c-a1d51fef1623", "title": "Heat", "type": "movie", "posterUrl": "https://image.tmdb.org/t/p/w500/umSVjVdbVwtx5ryCA2QXL44Durm.jpg", "state": "expiring_soon", "scopes": [ "TVOD" ], "territories": [ "US" ], "end": "2026-11-05T00:00:00+00:00", "daysLeft": 6 } ]}